#include <glib.h>
#include <gio/gio.h>
/*
[boot]
mode=normal/maintain
[time]
start=
[]
*/
#define MM_CONFIG_FILE_PATH "/ostree/pkgs/ostree-ovl.conf"

#define BOOT_SECTION "boot"
#define BOOT_MODE "mode"
#define BOOT_MODE_NORMAL "normal"
#define BOOT_MODE_MAINTAIN "maintain"

#define TIME_SECTION "time"
#define TIME_START "start"

gchar* mm_get_config_value (const gchar *file_path, gchar *section, gchar *key);
gboolean mm_set_config_value (const gchar *file_path, gchar *section, gchar *key, gchar *value);