#include <glib.h>
#include <gio/gio.h>
#include <stdio.h>
#include <stdlib.h>
#include "mm-config.h"
#include "mm-filelock.h"
#include "main.h"

#define ETC_LAYER_LOWER "/etc-ovl/etc-lower/"
#define ETC_LAYER_UPPER "/etc-ovl/etc-upper/"
#define ETC_LAYER_TMP_UPPER "/etc-ovl/etc-tmpupper/"
#define ETC_LAYER_WORK "/etc-ovl/etc-work/"

#define USR_LAYER_LOWER "/usr-ovl/usr-lower/"
#define USR_LAYER_TMP_UPPER "/usr-ovl/usr-tmpupper/"
#define USR_LAYER_WORK "/usr-ovl/usr-work/"

#define VAR_LAYER_LOWER "/var-ovl/var-lower/"
#define VAR_LAYER_UPPER "/var-ovl/var-upper/"
#define VAR_LAYER_TMP_UPPER "/var-ovl/var-tmpupper/"
#define VAR_LAYER_WORK "/var-ovl/var-work/" 

#define ENTER_MM_MODE_SUCCESS 1
#define ENTER_MM_MODE_FAILED 2
#define ENTER_NORMAL_MODE_SUCCESS 3
#define ENTER_NORMAL_MODE_FAILED 4

gboolean mm_enter_maintain_mode();
gboolean mm_exit_maintain_mode();
gchar* mm_get_boot_mode();






